### A free/open-source library for quantitative finance

Classes | Public Member Functions | Protected Member Functions
DividendVanillaOption Class Reference
Financial instruments

Single-asset vanilla option (no barriers) with discrete dividends. More...

`#include <ql/instruments/dividendvanillaoption.hpp>`

Inheritance diagram for DividendVanillaOption:
[legend]

List of all members.

## Classes

class | arguments
| Arguments for dividend vanilla option calculation More...
class | engine
| Dividend-vanilla-option engine base class More...

## Public Member Functions

| DividendVanillaOption (const boost::shared_ptr< StrikedTypePayoff > &payoff, const boost::shared_ptr< Exercise > &exercise, const std::vector< Date > &dividendDates, const std::vector< Real > &dividends)
Volatility | impliedVolatility (Real price, const boost::shared_ptr< GeneralizedBlackScholesProcess > &process, Real accuracy=1.0e-4, Size maxEvaluations=100, Volatility minVol=1.0e-7, Volatility maxVol=4.0) const

## Protected Member Functions

void | setupArguments (PricingEngine::arguments *) const

## Detailed Description

Single-asset vanilla option (no barriers) with discrete dividends.

## Member Function Documentation

Volatility impliedVolatility | ( | Real | price,
|  | const boost::shared_ptr< GeneralizedBlackScholesProcess > & | process,
|  | Real | accuracy = `1.0e-4`,
|  | Size | maxEvaluations = `100`,
|  | Volatility | minVol = `1.0e-7`,
|  | Volatility | maxVol = `4.0`
| ) |  | const

Warning:
  see VanillaOption for notes on implied-volatility calculation.

void setupArguments | ( | PricingEngine::arguments * |  | ) | const`[protected, virtual]`

When a derived argument structure is defined for an instrument, this method should be overridden to fill it. This is mandatory in case a pricing engine is used.

Reimplemented from Option.